LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Gentoo libgpg-error-1.0 emerge problem (https://www.linuxquestions.org/questions/linux-software-2/gentoo-libgpg-error-1-0-emerge-problem-232430/)

ahh 09-19-2004 05:33 AM

Gentoo libgpg-error-1.0 emerge problem
 
Hi,

I have tried to emerge libgpg-error-1.0 and got the following error:-

Code:

LC_ALL undeclared...
I tracked the error down to the file gpg-error.c and was able to get the package to compile by changing

Code:

setlocale (LC_ALL, "" );
to

Code:

setlocale (LC_ALL, "");
The problem I have is that I want to emerge the altered package, but portage complains that the MD5 sums don't match. I have changed the file

/usr/portage/dev-libs/libgpg-error/files/digest-libgpg-error-1.0

to reflect the new MD5 sum and file size, but still portage complains. I feel there must be a cache somewhere that needs changing. Can anyone point me in the right direction?

Thanks.

spuzzzzzzz 09-20-2004 06:12 AM

Try using the "ebuild" command instead of "emerge". Start with "ebuild <filename> digest", then "ebuild <filename> unpack". If the unpack step works, you can probably just emerge it, otherwise, "ebuild <filename> merge" will do it

ahh 09-21-2004 05:19 PM

Thanks.

I got round the problem by emerging a previous version of libgpg-error, and nothing seems to complain!

I will follow your instructions later...


All times are GMT -5. The time now is 03:26 AM.